=== modified file 'baz_import.py'
--- baz_import.py	2006-02-28 18:56:52 +0000
+++ baz_import.py	2006-03-01 14:16:44 +0000
@@ -257,10 +257,10 @@
                 raise
         try:
             br_from.bzrdir.clone(to_location, revision_id)
-#            copy_branch(br_from, to_location, revision_id, None)
         except NoSuchRevision:
             rmtree(to_location)
-            msg = "The branch %s has no revision %s." % (from_location, revision_id)
+            msg = "The branch %s has no revision %s." % (from_location, 
+                                                         revision_id)
             raise UserError(msg)
     finally:
         br_from.unlock()
@@ -419,8 +419,9 @@
                 
                 bzr_dir = os.path.join(output_dir, '.bzr')
                 new_bzr_dir = os.path.join(tempdir, "rd", '.bzr')
-    
-                os.rename(bzr_dir, tmp_bzr_dir) # Move the original bzr out of the way
+                
+                # Move the original bzr out of the way    
+                os.rename(bzr_dir, tmp_bzr_dir) 
                 os.rename(new_bzr_dir, bzr_dir)
                 try:
                     WorkingTree.open_containing(output_dir)[0].revert([])
@@ -433,9 +434,6 @@
                 # no imports - perhaps just append_revisions
                 # should not fail:
                 WorkingTree.open_containing(output_dir)[0].revert([])
-                #bzrlib.builtins.merge((output_dir, -1), (output_dir, None), # old_revno), 
-                #                   check_clean=False, this_dir=output_dir, 
-                #                   ignore_zero=True)
         else:
             revdir = os.path.join(tempdir, "rd")
             os.rename(revdir, output_dir)
@@ -534,7 +532,8 @@
         else:
             yield Progress("revisions", i, len(ancestors))
         if revdir is None and os.path.exists(output_dir):
-            # check for imported revisions and if present just append immediately
+            # check for imported revisions and if present just append
+            # immediately
             branch = Branch.open(output_dir)
             if branch.repository.has_revision(rev_id):
                 branch.append_revision(rev_id)
@@ -644,7 +643,8 @@
     try:
         return tree, bzr_inventory_data(tree), log 
     except BadFileKind, e:
-        raise UserError("Cannot convert %s because %s is a %s" % (revision,e.path, e.kind) )
+        raise UserError("Cannot convert %s because %s is a %s" % 
+                        (revision,e.path, e.kind))
 
 
 def apply_revision(tree, revision):
@@ -653,7 +653,8 @@
     try:
         return bzr_inventory_data(tree), log
     except BadFileKind, e:
-        raise UserError("Cannot convert %s because %s is a %s" % (revision,e.path, e.kind) )
+        raise UserError("Cannot convert %s because %s is a %s" % 
+                        (revision,e.path, e.kind))
 
 
 class BadFileKind(Exception):

=== modified file 'tests/test_baz_import.py'
--- tests/test_baz_import.py	2006-02-28 18:56:52 +0000
+++ tests/test_baz_import.py	2006-03-01 14:16:44 +0000
@@ -55,7 +55,8 @@
         os.environ['HOME'] = self._homedir
 
         self._archiveroot = os.path.join(self._tmpdir, 'archive')
-        self._archive = pybaz.make_archive('demo@DONOTUSE', str(self._archiveroot))
+        self._archive = pybaz.make_archive('demo@DONOTUSE', 
+                                           str(self._archiveroot))
         pybaz.set_my_id("Test User<test@example.org>")
 
         self.make_empty_import()
@@ -83,8 +84,10 @@
         
         # tree, two commits, includes merge of other branch
         self._empty_merged_tag_2 = 'demo@DONOTUSE/c--empty-tag-2--0'
-        self._empty_merged_tag_2_bzr_base = revision_id(self._empty_merged_tag_2 + '--base-0')
-        self._empty_merged_tag_2_bzr = revision_id(self._empty_merged_tag_2 + '--patch-1')
+        self._empty_merged_tag_2_bzr_base = revision_id(
+            self._empty_merged_tag_2 + '--base-0')
+        self._empty_merged_tag_2_bzr = revision_id(
+            self._empty_merged_tag_2 + '--patch-1')
         pybaz.Revision('demo@DONOTUSE/c--import--0--base-0').make_continuation(
             pybaz.Version(self._empty_merged_tag_2))
         tree = pybaz.Revision(self._empty_merged_tag_2 + '--base-0').get (
@@ -104,7 +107,8 @@
         tree = pybaz.Revision(self._bad_id_tag + '--base-0').get(
             os.path.join(self._tmpdir, 'tree'))
         from bzrlib.plugins.bzrtools.baz_import import add_file
-        add_file(os.path.join(self._tmpdir,'tree/path'), 'text', 'this_id/needs%escaping')
+        add_file(os.path.join(self._tmpdir,'tree/path'), 'text', 
+                 'this_id/needs%escaping')
         msg = tree.log_message()
         msg["summary"] = "commit something which needs escaping."
         tree.commit(msg)
@@ -115,7 +119,8 @@
 
     def make_import_symlink(self):
         self._import_symlink = 'demo@DONOTUSE/c--import-symlink--0'
-        self._import_symlink_bzr = revision_id(self._import_symlink + '--base-0')
+        self._import_symlink_bzr = revision_id(
+            self._import_symlink + '--base-0')
         os.mkdir(os.path.join(self._tmpdir, 'tree'))
         tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'),
                                self._import_symlink)
@@ -133,7 +138,8 @@
     def make_empty_import(self):
         self._import = 'demo@DONOTUSE/c--import--0'
         os.mkdir(os.path.join(self._tmpdir, 'tree'))
-        tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'), self._import)
+        tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'), 
+                               self._import)
         msg = tree.log_message()
         msg["summary"] = "I am importing now"
         tree.import_(msg)
@@ -203,19 +209,23 @@
         self.output.write("\n")
  
     def test_import_empty(self):
-        import_version('output', pybaz.Version(self._baz._import), self.collect)
+        import_version('output', pybaz.Version(self._baz._import), 
+                       self.collect)
         # expected results:
-        # one commit, no files, revision identifier of 'demo@DONOTUSE_c--import--0--base-0'
+        # one commit, no files, revision identifier of 
+        # 'demo@DONOTUSE_c--import--0--base-0'
         branch = Branch.open('output')
+        repo = branch.repository
         self.assertEqual(branch.revision_history(),
                          ['Arch-1:demo@DONOTUSE%c--import--0--base-0'])
-        rev = branch.repository.get_revision('Arch-1:demo@DONOTUSE%c--import--0--base-0')
+        rev = repo.get_revision('Arch-1:demo@DONOTUSE%c--import--0--base-0')
         # and again.
         import_version('output2', pybaz.Version('demo@DONOTUSE/c--import--0'),
                        self.collect)
         branch2 = Branch.open('output2')
+        repo2 = branch2.repository
         self.assertEqual(branch.revision_history(), branch2.revision_history())
-        rev2 = branch2.repository.get_revision('Arch-1:demo@DONOTUSE%c--import--0--base-0')
+        rev2 = repo2.get_revision('Arch-1:demo@DONOTUSE%c--import--0--base-0')
         # they must be the same
         self.assertEqual(rev, rev2)
 
@@ -248,7 +258,8 @@
 
         # and we should get some expected values:
         self.assertEqual(rev.committer, "Test User<test@example.org>")
-        self.assertEqual(rev.message, "tag of demo@DONOTUSE/c--import--0--base-0")
+        self.assertEqual(rev.message, 
+                         "tag of demo@DONOTUSE/c--import--0--base-0")
         self.assertEqual(rev.revision_id, self._baz._empty_tag_bzr)
 
     def test_empty_merged_tagged(self):
@@ -262,6 +273,7 @@
         # and a merged revision from the latter of
         # self._baz._empty_tag_bzr
         branch = Branch.open('output')
+        repo = branch.repository
         self.assertEqual(branch.revision_history(),
                          ['Arch-1:demo@DONOTUSE%c--import--0--base-0',
                           self._baz._empty_merged_tag_bzr_base,
@@ -270,28 +282,31 @@
         import_version('output2', pybaz.Version(self._baz._empty_merged_tag),
                        self.collect)
         branch2 = Branch.open('output2')
+        repo2 = branch2.repository
         # and import what we should be merged up against for checking with.
         import_version('output3', pybaz.Version(self._baz._empty_tag),
                        self.collect)
         branch3 = Branch.open('output3')
         
         self.assertEqual(branch.revision_history(), branch2.revision_history())
-        self.assertNotEqual(branch.revision_history(), branch3.revision_history())
+        self.assertNotEqual(branch.revision_history(), 
+                            branch3.revision_history())
         # check revisions in the history.
-        rev = branch.repository.get_revision(self._baz._empty_merged_tag_bzr_base)
-        rev2 = branch2.repository.get_revision(self._baz._empty_merged_tag_bzr_base)
+        rev = repo.get_revision(self._baz._empty_merged_tag_bzr_base)
+        rev2 = repo2.get_revision(self._baz._empty_merged_tag_bzr_base)
         # they must be the same
         self.assertEqual(rev, rev2)
         # and we should get some expected values:
         self.assertEqual(rev.committer, "Test User<test@example.org>")
-        self.assertEqual(rev.message, "tag of demo@DONOTUSE/c--import--0--base-0")
+        self.assertEqual(rev.message, 
+                         "tag of demo@DONOTUSE/c--import--0--base-0")
         self.assertEqual(rev.revision_id, self._baz._empty_merged_tag_bzr_base)
         self.assertEqual(['Arch-1:demo@DONOTUSE%c--import--0--base-0'],
                          rev.parent_ids)
 
         # check next revisions in the history.
-        rev = branch.repository.get_revision(self._baz._empty_merged_tag_bzr)
-        rev2 = branch2.repository.get_revision(self._baz._empty_merged_tag_bzr)
+        rev = repo.get_revision(self._baz._empty_merged_tag_bzr)
+        rev2 = repo2.get_revision(self._baz._empty_merged_tag_bzr)
         # they must be the same
         self.assertEqual(rev, rev2)
         # and we should get some expected values:
@@ -317,6 +332,7 @@
         # and a merged revision from the latter of
         # self._baz._empty_merged_tag_bzr
         branch = Branch.open('output')
+        repo = branch.repository
         self.assertEqual(branch.revision_history(),
                          ['Arch-1:demo@DONOTUSE%c--import--0--base-0',
                           self._baz._empty_merged_tag_2_bzr_base,
@@ -325,26 +341,30 @@
         import_version('output2', pybaz.Version(self._baz._empty_merged_tag_2),
                        self.collect)
         branch2 = Branch.open('output2')
+        repo2 = branch2.repository
         # and import what we should be merged up against for checking with.
         import_version('output3', pybaz.Version(self._baz._empty_merged_tag),
                        self.collect)
         branch3 = Branch.open('output3')
         
         self.assertEqual(branch.revision_history(), branch2.revision_history())
-        self.assertNotEqual(branch.revision_history(), branch3.revision_history())
+        self.assertNotEqual(branch.revision_history(), 
+                            branch3.revision_history())
         # check revisions in the history.
-        rev = branch.repository.get_revision(self._baz._empty_merged_tag_2_bzr_base)
-        rev2 = branch2.repository.get_revision(self._baz._empty_merged_tag_2_bzr_base)
+        rev = repo.get_revision(self._baz._empty_merged_tag_2_bzr_base)
+        rev2 = repo2.get_revision(self._baz._empty_merged_tag_2_bzr_base)
         # they must be the same
         self.assertEqual(rev, rev2)
         # and we should get some expected values:
         self.assertEqual(rev.committer, "Test User<test@example.org>")
-        self.assertEqual(rev.message, "tag of demo@DONOTUSE/c--import--0--base-0")
-        self.assertEqual(rev.revision_id, self._baz._empty_merged_tag_2_bzr_base)
+        self.assertEqual(rev.message, 
+                         "tag of demo@DONOTUSE/c--import--0--base-0")
+        self.assertEqual(rev.revision_id, 
+                         self._baz._empty_merged_tag_2_bzr_base)
 
         # check next revisions in the history.
-        rev = branch.repository.get_revision(self._baz._empty_merged_tag_2_bzr)
-        rev2 = branch2.repository.get_revision(self._baz._empty_merged_tag_2_bzr)
+        rev = repo.get_revision(self._baz._empty_merged_tag_2_bzr)
+        rev2 = repo2.get_revision(self._baz._empty_merged_tag_2_bzr)
         # they must be the same
         self.assertEqual(rev, rev2)
         # and we should get some expected values:
@@ -364,7 +384,8 @@
         import_version('output', pybaz.Version(self._baz._import_symlink),
                        self.collect)
         # expected results:
-        # one commit, no files, revision identifier of 'demo@DONOTUSE_c--import--0--base-0'
+        # one commit, no files, revision identifier of 
+        # 'demo@DONOTUSE_c--import--0--base-0'
         branch = Branch.open('output')
         self.assertEqual(branch.revision_history(),
                          [self._baz._import_symlink_bzr])
@@ -412,7 +433,8 @@
 
         # and we should get some expected values:
         self.assertEqual(rev.committer, "Test User<test@example.org>")
-        self.assertEqual(rev.message, "tag of demo-gone@DONOTUSE/c--import--0--base-0")
+        self.assertEqual(rev.message, 
+                         "tag of demo-gone@DONOTUSE/c--import--0--base-0")
         self.assertEqual(rev.revision_id, self._baz._missing_ancestor_bzr)
         self.assertEqual(rev.parent_ids[0], self._baz._missing_import_bzr)
         self.assertEqual(1, len(rev.parent_ids))
@@ -449,7 +471,8 @@
 
         # and we should get some expected values:
         self.assertEqual(rev.committer, "Test User<test@example.org>")
-        self.assertEqual(rev.message, "tag of demo-gone@DONOTUSE/c--import--0--base-0")
+        self.assertEqual(rev.message, 
+                         "tag of demo-gone@DONOTUSE/c--import--0--base-0")
         self.assertEqual(rev.revision_id, self._baz._missing_ancestor_bzr)
         self.assertEqual(rev.parent_ids[0], self._baz._missing_import_bzr)
         self.assertEqual(1, len(rev.parent_ids))
@@ -613,7 +636,8 @@
     def make_import(self, namespace):
         self._import = 'demo@DONOTUSE/%s' % namespace
         os.mkdir(os.path.join(self._tmpdir, 'tree'))
-        tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'), self._import)
+        tree = pybaz.init_tree(os.path.join(self._tmpdir, 'tree'), 
+                               self._import)
         msg = tree.log_message()
         msg["summary"] = "I am importing now"
         tree.import_(msg)
@@ -626,8 +650,8 @@
         command = cmd_baz_import()
         command.run(os.path.join(self._tmpdir, 'output'), 'demo@DONOTUSE')
         self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output')))
-        self.assertEqual(1, 
-                        len(list(os.walk(os.path.join(self._tmpdir,'output')))))
+        walk_len = len(list(os.walk(os.path.join(self._tmpdir,'output'))))
+        self.assertEqual(1, walk_len)
 
     def test_two_branches(self):
         self.make_import('c--0')
@@ -635,10 +659,12 @@
         command = cmd_baz_import()
         command.run(os.path.join(self._tmpdir, 'output'), 'demo@DONOTUSE')
         self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output')))
-        self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output', 'c','+trunk')))
-        self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output', 'c1', '0.2','branch')))
-        self.assertEqual(14,
-                        len(list(os.walk(os.path.join(self._tmpdir,'output')))))
+        self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output', 
+                                       'c','+trunk')))
+        self.failUnless(os.path.exists(os.path.join(self._tmpdir,'output', 
+                                                    'c1', '0.2','branch')))
+        walk_len = len(list(os.walk(os.path.join(self._tmpdir,'output'))))
+        self.assertEqual(14, walk_len)
 
     def test_run_twice(self):
         self.make_import('c--0')

